package com.seatel.mobilehall.ui.packages.interactor

import com.android.volley.VolleyError
import org.json.JSONObject

interface SwitchPlanInteractor {

    interface View {
        fun onSwitchPlanSucceed(jsonObject: JSONObject)
        fun onSwitchPlanFailed(error: VolleyError)

    }

    interface presenter {

        fun SwitchPlan(phoneNumber: String, newPlanCode: String)

    }


}